=== debian/changelog ===
hdmi2usb-mode-switch (0.0.0+git20161016-1) unstable; urgency=low

  * Initial packaging (Closes: #845107)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Nov 2016 15:15:53 +0100
