=== debian/control ===
Source: hdmi2usb-mode-switch
Section: admin
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-exec,
 dh-python,
 python3,
 python3-setuptools
Standards-Version: 3.9.8
Homepage: https://hdmi2usb.tv/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdmi2usb-mode-switch.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hdmi2usb-mode-switch.git

Package: hdmi2usb-mode-switch
Architecture: all
Recommends: openocd (>= 0.9.0+git20150701)
Depends: fxload, hdmi2usb-udev, ${misc:Depends}, ${python3:Depends}
Description: Configuration and firmware tool for HDMI2USB devices
 This is the tool for flashing and configuring the HDMI2USB devices.
 .
 It can load a runtime firmware, and write firmware to the device's flash.
 .
 https://hdmi2usb.tv/ is an open hardware and software project for capturing
 HDMI video with an FPGA board. This package supports the Digilent Atlys and
 Numato Opsis boards.

Package: hdmi2usb-udev
Architecture: all
Depends: ${misc:Depends}
Description: udev rules for HDMI2USB devices
 This package provides a set of udev rules files for HDMI2USB devices. They
 grant access to users in the "video" group, provide stable device symlinks,
 and suppress ModemManager.
 .
 https://hdmi2usb.tv/ is an open hardware and software project for capturing
 HDMI video with an FPGA board. This package supports the Digilent Atlys and
 Numato Opsis boards.
