=== debian/changelog ===
hdmi2usb-mode-switch (0.0.0+git20161124-2) unstable; urgency=medium

  * Ship metainfo file describing USB hardware IDs.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Dec 2016 20:48:05 +0100

hdmi2usb-mode-switch (0.0.0+git20161124-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patches device-permissions and fxload-locations, superseded upstream.
  * Reproducibly order udev rules contents (Closes: #845763)
  * Document firmware copyright and source locations.
  * Patch flashproxy-source: Include flash proxy source, as that isn't
    currently in Debian.
  * Add symlinks to /usr/bin (which were missing in 0.0.0+git20161016-1,
    because of an overreaching upstream .gitignore).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Dec 2016 19:47:24 +0100
