=== debian/control ===
--- 
+++ 
@@ -16,7 +16,13 @@
 Package: hdmi2usb-mode-switch
 Architecture: all
 Recommends: openocd (>= 0.9.0+git20150701)
-Depends: fxload, hdmi2usb-udev, ${misc:Depends}, ${python3:Depends}
+Depends:
+ fxload,
+ hdmi2usb-fx2-firmware,
+ hdmi2usb-udev,
+ ixo-usb-jtag,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Configuration and firmware tool for HDMI2USB devices
  This is the tool for flashing and configuring the HDMI2USB devices.
  .
