=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%HDMI2USB-mode-switch-$1.tar.gz%" \
 https://github.com/timvideos/HDMI2USB-mode-switch/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
