## hdmi2usb-mode-switch 0.0.0+git20170520

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	pip install pyusb
 	pip install pep8
 	pip install autopep8
+	pip install setuptools-pep8
 	python3 setup.py develop
 
 check-conda:
@@ -52,7 +53,7 @@
 
 # udev rules
 install-udev:
-	cd udev; make install
+	cd udev; make install; make reload
 
 check-udev:
 	cd udev; make check
