=== udev/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # udev rules
 install:
-	@for RULE in *-hdmi2usb*.rules; do \
+	@for RULE in *.rules; do \
 		echo "Installing $$RULE to /etc/udev/rules.d/$$RULE"; \
 		sudo cp $$RULE /etc/udev/rules.d/$$RULE; \
 		sudo chmod 644 /etc/udev/rules.d/$$RULE; \
@@ -23,7 +23,7 @@
 	make reload
 
 check:
-	@for RULE in *-hdmi2usb*.rules; do \
+	@for RULE in *.rules; do \
 		echo -n "Checking installed $$RULE.."; \
 		[ -e /etc/udev/rules.d/$$RULE ] || exit 1; \
 		diff -u $$RULE /etc/udev/rules.d/$$RULE || exit 1; \
@@ -50,8 +50,6 @@
 	sudo rm -f /etc/udev/rules.d/*hdmi2usb*
 
 examine:
-	make uninstall
-	make install
 	@echo -e "\n\n\n============================================="
 	@udevadm test '/sys/class/tty/ttyACM0'
 	@echo -e "\n\n\n============================================="
