=== debian/changelog ===
hdmi2usb-mode-switch (0.0.0+git20170520-1) unstable; urgency=medium

  * New upstream snapshot.
    - Supports flashing LM32 firmware.
  * Drop patch setuptools-pep8, superseded upstream.
  * Add missing dependencies on usbutils, and python3-pkg-resources.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Aug 2017 12:44:35 -0400
