=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
  hdmi2usb-fx2-firmware,
  hdmi2usb-udev,
  ixo-usb-jtag,
+ python3-pkg-resources,
+ usbutils,
  ${misc:Depends},
  ${python3:Depends}
 Description: Configuration and firmware tool for HDMI2USB devices
