=== debian/changelog ===
hdmi2usb-mode-switch (0.0.1-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use pkg-config to determine install path for udev files.
    (Closes: #1057769)

  [ Stefano Rivera ]
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Dec 2023 10:32:55 -0400

hdmi2usb-mode-switch (0.0.1-3) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + hdmi2usb-udev: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster:
    + hdmi2usb-mode-switch: Drop versioned constraint on ixo-usb-jtag and
      openocd in Depends.

  [ Stefano Rivera ]
  * Bump debhelper from old 12 to 13.
  * Update watch file format version to 4.
  * Declare: Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Bump copyright years.
  * Patch: Udev: Add a suffix to /dev/video device nodes to disambiguate them.
    (Closes: #1011938)
  * Move udev rules to priority 70, to come after 60-persistent-v4l.rules.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 May 2022 12:13:39 +0200

hdmi2usb-mode-switch (0.0.1-2) unstable; urgency=medium

  * Update symlinks for ixo-usb-jtag 0.0.1.
  * Promote openocd from a Recommends to a Depends. It is needed for most of
    the things one would actually do with mode-switch.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Jan 2018 18:28:58 +1100

hdmi2usb-mode-switch (0.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add PGP keyring for source verification.
  * Migrate to salsa.debian.org.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Jan 2018 19:03:32 +1100
