=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
+ pkgconf,
  python3,
- python3-setuptools
-Standards-Version: 3.9.8
+ python3-setuptools,
+ systemd-dev,
+Standards-Version: 4.6.2
 Homepage: https://hdmi2usb.tv/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdmi2usb-mode-switch.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hdmi2usb-mode-switch.git
+Vcs-Git: https://salsa.debian.org/debian/hdmi2usb-mode-switch.git
+Vcs-Browser: https://salsa.debian.org/debian/hdmi2usb-mode-switch
+Rules-Requires-Root: no
 
 Package: hdmi2usb-mode-switch
 Architecture: all
-Recommends: openocd (>= 0.9.0+git20150701)
 Depends:
  fxload,
  hdmi2usb-fx2-firmware,
  hdmi2usb-udev,
  ixo-usb-jtag,
+ openocd,
  python3-pkg-resources,
  usbutils,
  ${misc:Depends},
@@ -37,6 +40,7 @@
 Package: hdmi2usb-udev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: udev rules for HDMI2USB devices
  This package provides a set of udev rules files for HDMI2USB devices. They
  grant access to users in the "video" group, provide stable device symlinks,
